---
title: XRRenderState.depthNear
slug: Web/API/XRRenderState/depthNear
tags:
  - API
  - AR
  - Augmented Reality
  - Experimental
  - Property
  - Reference
  - VR
  - Virtual Reality
  - WebXR
  - WebXR Device API
  - XRRenderState
  - depthNear
---
<div>{{draft}}{{securecontext_header}}{{APIRef("WebXR")}}</div>

<p class="summary">The <strong><code>depthNear</code></strong> read-only property of the {{domxref("XRRenderState")}} interface returns the distance in meters of the near clip plane from the viewer.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>aDouble</var> = XRRenderState.depthNear;</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref("Number")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebXR Device API','#dom-xrrenderstate-depthnear','XRRenderState.depthNear')}}</td>
   <td>{{Spec2('WebXR Device API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XRRenderState.depthNear")}}</p>
